import type { PShaderContext, PShaderResults } from '../runtime/shader';
export declare function fetchPBRShaderCode(): PShaderResults;
export declare function fetchUnlitShaderCode(): PShaderResults;
/**
 * 获取 PBR 材质着色器代码
 * @param context - 着色器上下文
 * @returns
 */
export declare function getPBRPassShaderCode(context: PShaderContext): PShaderResults;
export declare function getShadowPassShaderCode(context: PShaderContext): PShaderResults;
/**
 * 获取天空盒着色器代码
 * @param context - 着色器上下文
 * @returns
 */
export declare function getSkyBoxShaderCode(context: PShaderContext): PShaderResults;
/**
 * 获取四边形滤波着色器代码
 * @param context - 着色器上下文
 * @returns
 */
export declare function getQuadFilterShaderCode(context: PShaderContext): PShaderResults;
/**
 * 获取法线可视化着色器代码
 * @param context - 着色器上下文
 * @returns
 */
export declare function getNormalVisShaderCode(context: PShaderContext): PShaderResults;
/**
 * 获取仅漫反射着色器代码
 * @param context - 着色器上下文
 * @returns
 */
export declare function getDiffuseOnlyShaderCode(context: PShaderContext): PShaderResults;
/**
 * 获取 Kawase 模糊着色器代码
 * @param context - 着色器上下文
 * @returns
 */
export declare function getKawaseBlurShaderCode(context: PShaderContext): PShaderResults;
/**
 * 获取简单滤波着色器代码
 * @param context - 着色器上下文
 * @returns
 */
export declare function getSimpleFilterShaderCode(context: PShaderContext): PShaderResults;
/**
 * 获取高斯模糊着色器代码
 * @param context - 着色器上下文
 * @returns
 */
export declare function getGaussianBlurShaderCodeV2(context: PShaderContext): PShaderResults;
/**
 * 获取高斯模糊着色器代码
 * @param context - 着色器上下文
 * @returns
 */
export declare function getGaussianBlurShaderCodeV1(context: PShaderContext): PShaderResults;
/**
 * 获取透明效果着色器代码
 * @param isVertexShader - 是否顶点着色器
 * @returns
 */
export declare function getTransparecyBaseShader(isVertexShader: boolean): string;
/**
 * 获取透明效果滤波着色器代码
 * @param isVertexShader - 是否顶点着色器
 * @returns
 */
export declare function getTransparecyFilterShader(isVertexShader: boolean): string;
